import { Constructable } from '@microsoft/fast-element';
import { Container } from '@microsoft/fast-foundation';
import { RouterConfiguration } from '@microsoft/fast-router';
import { Auth, Session, FoundationAnalytics } from '@genesislcap/foundation-comms';
import { LoginConfig } from '../main';
import type { Settings } from './types';
/**
 * Base implementation of a routing used with the Login class
 *
 * @remarks
 *
 * Could be used when using the Login class as a standalone authentication method
 * with your app
 *
 * @internal
 */
export declare class MainRouterConfig extends RouterConfiguration<Settings> {
    private auth;
    private container;
    private analytics;
    private session;
    private loginConfig;
    constructor(auth: Auth, container: Container, analytics: FoundationAnalytics, session: Session, loginConfig?: LoginConfig);
    configure(): void;
    construct<T>(Type: Constructable<T>): T;
}
//# sourceMappingURL=config.d.ts.map